package com.yunniu.farming.webadmin.service;

import com.yunniu.farming.result.Result;
import com.yunniu.farming.webadmin.model.GroupArea;
import com.yunniu.farming.webadmin.model.GroupBuy;

import java.util.List;

/**
 * @author zyf
 * @date 2023/5/12
 * @apiNote
 */
public interface GroupAreaService {


    List<GroupArea> findPageList(GroupArea item);

    Result addOrEdit(GroupArea item);

    Result delete(Integer id);

    List<GroupArea> getPageList(GroupArea item);

    GroupArea findById(Long areaId);

    List<GroupArea> findList();

}
